[data-component="survey-reply"], [data-component="survey-results"]  {
    background-color: rgba(255,255,255,0.9);
    padding:0.5rem 2rem;
    box-shadow: 0px 10px 20px 0px rgba(1, 1, 1, 0.6);
}

[data-component^="survey-"] section.survey-question {
    position: relative;
    background-color: transparent;
    border: 1px solid rgba(188, 188, 188, 1);
    border-left: 15px solid #6c79b8;
    border-radius: 2px;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    margin-bottom: 1em;
    overflow: auto;
    width: 100%;
    -webkit-transition: margin 0.5s ease, width 0.5s ease, background 0.6s ease;
    -moz-transition: margin 0.5s ease, width 0.5s ease, background 0.6s ease;
    -o-transition: margin 0.5s ease, width 0.5s ease, background 0.6s ease;
    transition: margin 0.5s ease, width 0.5s ease, background 0.6s ease;
}

[data-component^="survey-"] section.survey-question [data-action="expand_view"] {
    position: absolute;
    right: 1rem;
    top: 1rem;
    float: left;
}

[data-component^="survey-"] section.survey-question.question-type {
    background-color: transparent;
    border: 1px solid rgba(188, 188, 188, 1);
    border-left: 15px solid #6c79b8;
    border-radius: 2px;
    margin-bottom: 1em;
    overflow: visible;
}

[data-component^="survey-"] section.survey-question.maximized {
    background-color: rgba(255,255,255,0.9);
    margin-left: -16vw;
    width: 95vw;
}

[data-component^="survey-"] section.survey-question,
.clear {
    clear: both;
}
[data-component^="survey-"] section.survey-question h4 {
    padding: 0;
    padding-left:1.5rem;
    color: #6b78b9;
    font-size: 1.1rem;
}
[data-component^="survey-"] section.survey-question h4 small.help-text {
    color: #64489e;
    font-weight: normal;
}
[data-component^="survey-"] section.answers {
    float:left;
}

.participant-container,
.answers-container {
    overflow-x: auto;
    background-color: #f8f8f8;
}

[data-component^="survey-"] td.first,
[data-component^="survey-"] th.first,
[data-component^="survey-"] th.participant-name {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    text-align: left !important;
    max-width: 150px;
    width: 150px;
}

[data-component^="survey-"] .answer-table td.first,
[data-component^="survey-"] .answer-table th.first:not(.participant-name) {
    width: 200px;
}

[data-component="survey-results"] .bottom_row th.first {
    background-color: transparent;
}

[data-component^="survey-"] th,
[data-component^="survey-"] td.final-choice,
[data-component^="survey-"] td.choice,
[data-component^="survey-"] td.proposition,
[data-component^="survey-"] td.sum,
[data-component^="survey-"] td.sum_yes_plus_maybe {
    box-sizing: border-box;
    text-align: center;
    white-space: nowrap;
}
[data-component^="survey-"] td.replier_name,
[data-component^="survey-"] td.proposition {
    padding: 0;
}

[data-component="survey-results"] #header-fixed tr th, [data-component="survey-results"] table.answer-table thead tr.header_row th {
    border-radius: 5px 5px 0 0;
}
[data-component="survey-results"] table.answer-table thead tr th.winner,
[data-component="survey-results"] #header-fixed thead tr th.winner,
[data-component="survey-results"] td.winner:not(.final-choice) {
    border-left: 3px solid!important;
    border-right: 3px solid!important;
    border-color: #84C33F!important;
}
[data-component="survey-results"] table.answer-table thead tr.bottom_row th.winner,
[data-component="survey-results"] #header-fixed thead tr.bottom_row th.winner{
    background-color: #EBF5D6;
    font-weight: bold;
    border-radius: 0;
    border-top:none;
    border-bottom:none;
}
[data-component="survey-results"] table.answer-table thead tr.bottom_row th:not(.winner),[data-component="survey-results"] #header-fixed .bottom_row th:not(.winner){
    border-radius: 0;
    border-width:0 1px!important;
}
[data-component="survey-results"] table.answer-table thead tr.header_row th.top-winner, #header-fixed tr.header_row th.top-winner{
    border: 3px solid #84C33F;
    background-color: #84C33F;
    color: #2d3d54;
    font-weight:bold;
    border-radius: 5px 5px 0px 0px;
    border-bottom: none;
}
[data-component="survey-results"] table.answer-table thead tr th.top-winner span, #header-fixed tr th.top-winner span{
    font-weight:bold;
}
[data-component="survey-results"] td.sum.winner {
    border-bottom: 3px solid #84C33F!important;
    font-size: 1.2rem;
    color:#263548;
    font-weight:bold;
    border-radius: 0px 0px 5px 5px  !important;
}
[data-component="survey-results"] td.sum_yes_plus_maybe.maybe-winner {
    border: 3px solid #FFC107;
    font-size: 1.2rem;
    color:#263548;
    font-weight:bold;
    border-radius: 5px 5px;
}

[data-component="survey-results"] td.sum[data-action="show_participants_emails"] {
    position:relative;
}

[data-component="survey-results"] td[data-action="show_participants_emails"] {
    font-size: 0.85rem;
    color: #cecad0;
}

[data-component^="survey-"] th:empty {
    height:0px;
    background: white;
}

[data-component="survey-results"] td.final-choice input[type="radio"]{
    margin: 0;
}
[data-component^="survey-"] .choice.selected_value_no {
    background-color: #ffede9;
}
[data-component^="survey-"] .choice.selected_value_yes {
    background-color: #EBF5D6;
}
[data-component^="survey-"] .choice.selected_value_maybe {
    background-color: #FFF4C8;
}
[data-component^="survey-"] [data-value="selected_value_no"] .fa,
[data-component^="survey-"] .selected_value_no .fa {
    color:#FF5D38;
}
[data-component^="survey-"] [data-value="selected_value_yes"] .fa,
[data-component^="survey-"] .selected_value_yes .fa {
    color:#84C33F;
}
[data-component^="survey-"] [data-value="selected_value_maybe"] .fa,
[data-component^="survey-"] .selected_value_maybe .fa {
    color:#FFC107;
}
[data-component^="survey-"]  tr.results.answer_row [data-value="selected_value_maybe"]:before {
    content:"(";
    color:#FFC107;
}
[data-component^="survey-"] tr.results.answer_row [data-value="selected_value_maybe"] span:after {
    content:")";
    color:#FFC107;
}

[data-component^="survey-"] .loading-answers .callout {
    color: #6b79b8 !important;
    margin-top: -1rem;
    padding: 0.15rem 0.5rem;
    margin-bottom: 0;
    transition: background-color 300ms ease-out;
}

[data-component^="survey-"] .fa.fa-question-circle {
    color: gray;
}

[data-component^="survey-"] .answers{
    position: relative;
}

.survey-question.calendar-icon {
    background-image: url(../../images/calendar.svg);
    background-repeat: no-repeat;
    background-position: 0.50em 0.67em;
}
.survey-question.file-text-icon {
    background-image: url(../../images/text.svg);
    background-repeat: no-repeat;
    background-position: 0.50em 0.67em;
}
.survey-question.calendar-period-icon {
    background-image: url(../../images/calendar-period.svg);
    background-repeat: no-repeat;
    background-position: 0.50em 0.67em;
}

[data-component^="survey-"] table thead tr th[data-type="date"] {
    white-space: normal;
}

[data-component^="survey-"] .answers.small-11 {
    width: 89.66667%;
    width: calc(91.66667% - 30px);
}

[data-component^="survey-"] .answers.small-9 {
    width: 73%;
    width: calc(75% - 30px);
}

#header-fixed,
[data-component="survey-reply"] table[data-form="question-form-reply"],
[data-component="survey-results"] table.answer-table{
    border-collapse:  separate;
    border-spacing: 5px 0px ;
    padding: inherit;
    width: 100%;
    max-width: inherit;
    margin: inherit;
}
[data-component="survey-reply"] table[data-form="question-form-reply"], [data-component="survey-reply"] #header-fixed{
    border-spacing: 5px 3px ;
}

#header-fixed tr th:not(.first),
[data-component^="survey-"] table.answer-table thead tr th:not(.first){
    border:1px solid #6b79b8;
    color:#2d3d54;
    font-weight: normal;
    font-size: 0.85rem;
    vertical-align: middle;
    max-width: 7rem;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

#header-fixed tr.header_row .first,
[data-component^="survey-"] table.answer-table thead tr.header_row .first {
    min-width: 150px;
    max-width: 300px;
}

[data-component^="survey-"] table thead tr th[data-proposition-header-ref] {
    position: relative;
}

[data-component^="survey-"] table tr.your_choice .has-conflict,
[data-component^="survey-"] table thead tr th[data-proposition-header-ref].has-conflict {
    background-color: #FFE6EA !important;
}

[data-component^="survey-"] table tr.your_choice .calendar-info.fa,
[data-component^="survey-"] table thead tr th[data-proposition-header-ref] .calendar-info.fa {
    font: normal normal normal 14px/1 FontAwesome !important;
}

[data-component^="survey-"] table tr.your_choice .calendar-info,
[data-component^="survey-"] table thead tr th[data-proposition-header-ref] .calendar-info {
    position: absolute;
    right: 0;
    bottom: -10px;
    color: crimson;
    background-color: #f8f8f8;
    border-radius: 3px;
    padding: 1px;
}

.events-list {
    list-style-type: none;
}

.events-list > li {
    background-color: white;
    border: 1px solid lightgreen;
    border-radius: 3px;
    margin-top : 3px;
    padding: 3px;
}

.events-list > li.calendar-name {
    background-color: transparent;
    border: none;
    word-break: break-all;
}

.events-list > li.calendar-name,
.events-list > li .event-dates {
    font-weight: bold;
}

.events-list > li .calendar-color {
    margin-right: 0.5rem;
}

[data-component^="survey-"] #header-fixed tr.bottom_row th.first,
[data-component^="survey-"] table.answer-table thead tr.bottom_row th.first{
    border:none;
    background-color: transparent;
}

[data-component^="survey-"] #header-fixed tr.bottom_row th,
[data-component^="survey-"] table.answer-table thead tr.bottom_row th{
    border: 1px solid #bbb;
    background-color: #ddd;
}

[data-component^="survey-"] #header-fixed thead th,
[data-component^="survey-"] table.answer-table thead th {
    line-height: 1.2;
    padding: 0.25rem;
}

[data-component^="survey-"] table.answer-table thead .first,
[data-component^="survey-"] table.participant-table thead .first {
    line-height: 1.2;
    padding: 0.25rem 0.625rem;
}

table.participant-table {
    display: none;
    float: left;
    border-collapse: separate;
    border-spacing: 5px 3px;
}

[data-component="survey-results"] table.participant-table,
[data-component="survey-results"] table.answer-table{
    margin-top:1px;
}

[data-component="survey-results"] table.participant-table {
    border-spacing: 5px 0px;
}

#header-fixed thead tr td.first,
table.participant-table thead tr td,
table.answer-table thead tr td{
    border:1px solid #6b79b8;
    color:#6b79b8;
    font-weight:bold;
    font-size: 0.85rem;
    vertical-align: middle;
}

[data-component="survey-results"] table.participant-table .comment-masked,
[data-component="survey-results"] table.answer-table .comment-masked{
    color : lightgrey;
}

[data-component^="survey-"] .comment-column i.fa {
    color: #fff;
    background-color: #64489e;
    border-radius: 50px;
    padding: 0.5rem 0.5rem 0.5rem 0.55rem;
    cursor: pointer;
    font-size: 1rem;
}
[data-component^="survey-"] .comment-column i.fa.comment-masked {
    color: #333;
    background-color: #ddd;
}
[data-component^="survey-"] .comment-column {
    width: 10px !important;
    max-width: 3rem;
    background-color: #fff;
    padding-top: 3px;
    padding-bottom: 3px;
}

td.participant-size-adjust-count {
    display: none;
    background-color: transparent;
}

table .hovered .calendar-info {
    position: relative;
    z-index: 1;
}

table .hovered {
    position: relative;
    z-index: 0;
}

table .hovered:after {
    content: '';
    width: 100%;
    height: 100%;
    float: left;
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    background-color: rgba(230,230,230,0.5)!important;
    z-index: -1;
}

th.participant-name {
    position: relative;
}

th.participant-name input[type="checkbox"] {
    margin-bottom: 0px !important;
    margin-right: 0.15rem !important;
    margin-right: 10px;
    vertical-align: middle;
}

th.participant-name label {
    line-height: 1.7;
    font-weight: bold;
    display: inline;
}

th.participant-name span.participant-actions {
    position: absolute;
    padding: 8px 15px;
    transition: right 0.5s;
    right: -40px;
    border: solid 1px lightgrey;
    -webkit-border-radius: 3px 0px 0px 3px;
    -moz-border-radius: 3px 0px 0px 3px;
    border-radius: 3px 0px 0px 3px;
    height: 100%;
    vertical-align: middle;
    margin-top: -8px;
    background-color: #ffffff;
}

th.participant-name span.participant-actions i {
    cursor: pointer;
    color: grey;
}

th.participant-name span.participant-actions i:hover {
    color: black;
}

th.participant-name:not(.disabled):hover span.participant-actions{
    right: -1px;
}

[data-participant-ref].disabled {
    opacity: 0.4;
}

.replier_info {
    margin: 0 0 0.5rem 0;
    padding-left:0;
    font-size: 1rem;
}
.replier_info label span[data-label-text] {
    font-weight: bold;
}
.left-arrow, .right-arrow{
    border: 1px solid #304d6e!important;
    color:#304d6e!important;
    transition: background-color 0.25s ease-out, color 0.25s ease-out;
}
.left-arrow:hover, .right-arrow:hover{
    background-color:#304d6e!important;
    color:#fff!important;
}

[data-component="survey-results"] td.choice.selected_value_maybe span {
    color:#ffae00;
}
[data-component="survey-results"] td.choice.selected_value_maybe span.fa.fa-check-circle:before {
    content: "(\f058)";
}

[data-component="survey-results"] tr.final_answer_row {
    background-color: transparent!important;
    height: 2em;
}

[data-component="survey-results"] tr.action_row {
    background-color: transparent!important;
    height: 2em;
}

.toggle_decision,
.toggle_participants_emails_option {
    margin-top:0.5rem;
}
.toggle_decision label,
.toggle_participants_emails_option label,
.toggle_conflicts label {
    display:inline-block;
}

[data-component="survey-reply"] i.fa-info-circle, [data-component="survey-reply"] span.fa-info-circle,
[data-component="survey-results"] i.fa-info-circle, [data-component="survey-results"] span.fa-info-circle,
.toggle_decision label + i, .toggle_decision label + span.fa,
.toggle_participants_emails_option label + i, .toggle_participants_emails_option label + span.fa,
[data-action="show_participants_emails"],
[data-action="send_recovery_code"] + i, [data-action="send_recovery_code"] + span.fa{
    margin-top: -0.4rem;
    font-size:1.2em;
    color:#6b79b8;
    -webkit-transition: all 0.25s ease-in;
    -moz-transition: all 0.25s ease-in;
    -o-transition: all 0.25s ease-in;
    -ms-transition: all 0.25s ease-in;
    transition: all 0.25s ease-in;
}

[data-action="show_participants_emails"] {
    display: inline-block;
}

[data-component="survey-reply"] i.fa-info-circle:hover, [data-component="survey-reply"] span.fa-info-circle:hover,
[data-component="survey-results"] i.fa-info-circle:hover, [data-component="survey-results"] span.fa-info-circle:hover,
.toggle_decision label + i:hover, .toggle_decision label + span.fa:hover,
[data-action="show_participants_emails"]:hover,
[data-action="send_recovery_code"] + i:hover, [data-action="send_recovery_code"] + span.fa:hover{
    cursor:pointer;
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -o-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2);
}

.participants-emails-modal textarea,
.participants-emails-modal [data-action="copy_to_clipboard"] {
    margin-top: 0.5rem;
    padding: 0.5em;
}

/* max-width 450px, mobile-only styles, use when QAing mobile issues */
@media only screen and (max-width: 28em){
    [data-component="survey-results"]{
        max-width: 25em;
    }
}
/* min-width 451px max-width 640px, mobile-only styles, use when QAing mobile issues */
@media only screen and (min-width: 28.063em) and (max-width: 40em){
    [data-component="survey-results"]{
        max-width: 30em;
    }
}
/* max-width 640px */
@media only screen and (max-width: 40em) {

    select[name="settings.reply_access"]{
        width:100%;
        display:block;
    }

    /* responsive table */
    [data-component="survey-reply"] .answers-container thead {
        display: none!important;
    }
    [data-component="survey-reply"] .answers-container table tr th,
    [data-component="survey-reply"] .answers-container table tr td {
        display: block!important;
        padding: 0;
        text-align: left;
        white-space: normal;
    }
    [data-component="survey-reply"] .answers-container table tr:not(.sum_row) {
        display: block;
        border-bottom: 1px solid #eee;
        padding-bottom: 11px;
        margin-bottom: 11px;
    }
    [data-component="survey-reply"] .answers-container table th[data-title]:before,
    [data-component="survey-reply"] .answers-container table tr td[data-title]:before {
        content: attr(data-title)":\00A0";
        font-weight: bold;
    }
    [data-component="survey-reply"] .answers-container table tr td {
        border: none;
        margin-bottom: 6px;
        padding: 0.2rem 0.5rem;
        color: #444;
    }
    [data-component="survey-reply"] .answers-container table td:empty {
        display: none;
    }
    [data-component="survey-reply"] .answers-container table tr td:first-child {
        font-size: 14px;
        font-weight: bold;
        margin-bottom: 6px;
        color: #333;
    }
    [data-component="survey-reply"] .answers-container table tr td:first-child:before {
        content: '';
    }

    /***End responsive table ***/

    [data-component="survey-reply"] #header-fixed {
        display: none;
    }
    .button-group > .wizard_action.button, .button-group > .survey_button.button {
        margin-bottom: 0.5rem!important;
        border-radius: 50px!important;
        width: 250px;
    }
    [data-container="steps"] .wizard_action_add {
        margin-right: 0 !important;
        margin-bottom: 0.5rem!important;
        width: 250px;
    }
    aside.step_header{
        text-align: center;
    }
    [data-component^="survey-"] section.survey-question {
        padding-left: 0;
    }
    [data-component^="survey-"] section.survey-question h4{
        padding-left: 3rem;
    }
    [data-component="survey-reply"] table[data-form="question-form-reply"] tr.your_choice td.proposition {
        border: 1px solid #6b79b8;
        border-radius: 5px;
        padding: 0;
    }
    [data-component="survey-reply"] table.answer-table tr.your_choice td.proposition .label-for-small {
        border:none;
        padding: 0.25rem;
        margin-bottom: 0;
    }
    [data-component="survey-reply"] table.answer-table tr.your_choice td.proposition .button-group label.button {
        display: inline-block;
        margin: 0.25rem 0 0.25rem 0.5rem !important;
        width: 4rem;
        padding: 0.5rem 0.1rem !important;
        font-size: 0.75rem;
    }
    [data-component^="survey-"] table tr.your_choice .calendar-info, [data-component^="survey-"] table thead tr th[data-proposition-header-ref] .calendar-info {
        bottom: 0px;
        background-color: transparent;
        padding: 5px;
    }
}